	set kernel_options pfcolors no_blank_lines
	set romsize 32k 	
    set smartbranching on  
	rem set debug cycles ; debug will flash background if cycle count is exceeded.  
	set optimization inlinerand
		

	/*
		  Title : Zombie Crisis
		 Author : Erik Eriksen
		   Site : http://eriks.servehttp.com
		  Start : June 2020
		Current : 2020-09-15		

		   ** TODO : update this bank information, it's out of date! **
		BANK 1 : Main loop and event handling.
		BANK 2 : Level data
		BANK 3 : Additional Level Data (Unused)
		BANK 4 : Misc Screens / Status bar ASM
		BANK 5 : 
		BANK 6 : 
		BANK 8 : 
	*/	
	
	rem declare variables
	dim missilespriteconfig = a
	dim missilespritecolor = b
	dim screennum = c
	dim screenchange = d
	dim pframe = e	
	dim enemytype = f
	dim timer = g

	dim statusflag = h

	dim lastdirection = i
	dim balldirection = j

	dim statusflag2 = k

	dim zombiedirection = l
	dim zombiestatusflag = m
	dim zombieskilllevel = n
	dim zombieheath = o

	;dim rand16 = p

	dim playerhealth = q

	dim ghoststatusflag = r
	dim ghostskilllevel = s
	dim ghosthealth = t

	dim playerlives = u

	dim playerenterx = v
	dim playerentery = w 

   	dim tempdata = x ; just a reminder
   	dim datareader2 = y ; just a reminder
	dim duration = z


	rem Define definitions
	/*
		Defines allow you to break an 8 bit variable into individual bits like done below for statusflag.
		This allows you to use one variable as many without having to keep track of the index number of the 
		main variable.
	*/

	; TODO : status flag for has keys and keys used should be made generic. Is forest unlocked should also be generic
	def statusflag_hasweapon = statusflag{0}
	def statusflag_hasarmor = statusflag{1}
	def statusflag_hashousekey = statusflag{2}
	def statusflag_hasgraveyardkey = statusflag{3}
	def statusflag_isweaponfired = statusflag{4}       
	def statusflag_isgameover = statusflag{5}	
	def statusflag_ishousekeyused = statusflag{6}	   ; flag for if key has been used.
	def statusflag_isgraveyardkeyused = statusflag{7} ; flag for if key has been used. 

	def statusflag2_hasgascan = statusflag2{0}
	def statusflag2_postcutscene = statusflag2{1}
	def statusflag2_playerdead = statusflag2{2}
	def statusflag2_isforestunlocked = statusflag2{3}
	def statusflag2_inforest = statusflag2{4}       
	def statusflag2_pickeduphealth = statusflag2{5}	
	def statusflag2_istitlescreen = statusflag2{6}	
	def statusflag2_placeholder = statusflag2{7}	;still free 

	def zombiestatusflag_ispresent = zombiestatusflag{0}
	def zombiestatusflag_isactive = zombiestatusflag{1}
	def zombiestatusflag_isvertical = zombiestatusflag{2}
	def zombiestatusflag_ishorizontal = zombiestatusflag{3}
	def zombiestatusflag_fastmonster = zombiestatusflag{4}
	def zombiestatusflag_isboss = zombiestatusflag{5}
	def zombiestatusflag_ishit = zombiestatusflag{6}
	def zombiestatusflag_temp6 = zombiestatusflag{7}

	def ghoststatusflag_ispresent = ghoststatusflag{0}
	def ghoststatusflag_isactive = ghoststatusflag{1}
	def ghoststatusflag_fastmonster = ghoststatusflag{2}
	def ghoststatusflag_isprojectile = ghoststatusflag{3}
	def ghoststatusflag_temp3 = ghoststatusflag{4}
	def ghoststatusflag_temp4 = ghoststatusflag{5}
	def ghoststatusflag_temp5 = ghoststatusflag{6}
	def ghoststatusflag_temp6 = ghoststatusflag{7}

	rem true/false definition just for code readability 
	def false = 0
	def true = 1

	def dir_left = 10
	def dir_right = 20
	def dir_up = 30
	def dir_down = 50

	def enemytype_normal = 0
	def enemytype_scroll_horizontal = 1
	def enemytype_scroll_vertical = 2

	const pfscore = 1
   ;****************************************************************
   ;
   ;  NTSC colors.
   ;
   ;  Use these constants so you can quickly and easily swap them
   ;  out for PAL-60 colors. Or use this if you created a PAL-60
   ;  game and want to instantly convert the colors to NTSC (if you
   ;  were already using the PAL-60 constants).
   ;
      const _00 = $00
   const _02 = $02
   const _04 = $04
   const _06 = $06
   const _08 = $08
   const _0A = $0A
   const _0C = $0C
   const _0E = $0E
   const _10 = $10
   const _12 = $12
   const _14 = $14
   const _16 = $16
   const _18 = $18
   const _1A = $1A
   const _1C = $1C
   const _1E = $1E
   const _20 = $20
   const _22 = $22
   const _24 = $24
   const _26 = $26
   const _28 = $28
   const _2A = $2A
   const _2C = $2C
   const _2E = $2E
   const _30 = $30
   const _32 = $32
   const _34 = $34
   const _36 = $36
   const _38 = $38
   const _3A = $3A
   const _3C = $3C
   const _3E = $3E
   const _40 = $40
   const _42 = $42
   const _44 = $44
   const _46 = $46
   const _48 = $48
   const _4A = $4A
   const _4C = $4C
   const _4E = $4E
   const _50 = $50
   const _52 = $52
   const _54 = $54
   const _56 = $56
   const _58 = $58
   const _5A = $5A
   const _5C = $5C
   const _5E = $5E
   const _60 = $60
   const _62 = $62
   const _64 = $64
   const _66 = $66
   const _68 = $68
   const _6A = $6A
   const _6C = $6C
   const _6E = $6E
   const _70 = $70
   const _72 = $72
   const _74 = $74
   const _76 = $76
   const _78 = $78
   const _7A = $7A
   const _7C = $7C
   const _7E = $7E
   const _80 = $80
   const _82 = $82
   const _84 = $84
   const _86 = $86
   const _88 = $88
   const _8A = $8A
   const _8C = $8C
   const _8E = $8E
   const _90 = $90
   const _92 = $92
   const _94 = $94
   const _96 = $96
   const _98 = $98
   const _9A = $9A
   const _9C = $9C
   const _9E = $9E
   const _A0 = $A0
   const _A2 = $A2
   const _A4 = $A4
   const _A6 = $A6
   const _A8 = $A8
   const _AA = $AA
   const _AC = $AC
   const _AE = $AE
   const _B0 = $B0
   const _B2 = $B2
   const _B4 = $B4
   const _B6 = $B6
   const _B8 = $B8
   const _BA = $BA
   const _BC = $BC
   const _BE = $BE
   const _C0 = $C0
   const _C2 = $C2
   const _C4 = $C4
   const _C6 = $C6
   const _C8 = $C8
   const _CA = $CA
   const _CC = $CC
   const _CE = $CE
   const _D0 = $D0
   const _D2 = $D2
   const _D4 = $D4
   const _D6 = $D6
   const _D8 = $D8
   const _DA = $DA
   const _DC = $DC
   const _DE = $DE
   const _E0 = $E0
   const _E2 = $E2
   const _E4 = $E4
   const _E6 = $E6
   const _E8 = $E8
   const _EA = $EA
   const _EC = $EC
   const _EE = $EE
   const _F0 = $F0
   const _F2 = $F2
   const _F4 = $F4
   const _F6 = $F6
   const _F8 = $F8
   const _FA = $FA
   const _FC = $FC
   const _FE = $FE


	rem initialize variables to zero:
	a = 0 : b = 0 : c = 0 : d = 0 : e = 0 : f = 0 : g = 0 : h = 0 : i = 0
	j = 0 : k = 0 : l = 0 : m = 0 : n = 0 : o = 0 : p = 0 : q = 0 : r = 0
	s = 0 : t = 0 : u = 0 : v = 0 : w = 0 : x = 0	

	statusflag_hasweapon = false
	statusflag_hasarmor = false
	statusflag_hashousekey = false
	statusflag_hasgraveyardkey = false
	statusflag_isweaponfired = false	
	statusflag_ishousekeyused = false
	statusflag_isgraveyardkeyused = false

	statusflag2_hasgascan = false	
	statusflag2_isforestunlocked = false
	statusflag2_placeholder = false

	zombiestatusflag_isactive = false
	zombiestatusflag_ispresent = false
	zombiestatusflag_isvertical = false
	zombiestatusflag_ishorizontal = false
	zombiestatusflag_fastmonster = false
	zombiestatusflag_isboss = false
	zombiestatusflag_ishit = false
	zombiestatusflag_temp6 = false

	ghoststatusflag_ispresent = false
	ghoststatusflag_isactive = false
	ghoststatusflag_fastmonster = false
	ghoststatusflag_isprojectile = false
	ghoststatusflag_temp3 = false
	ghoststatusflag_temp4 = false
	ghoststatusflag_temp5 = false
	ghoststatusflag_temp6 = false

reset_game ; when game over, return here so items and unlocks stay the same.

	statusflag_isgameover = false

	statusflag2_postcutscene = false
	statusflag2_playerdead = false
	statusflag2_inforest = false
	statusflag2_pickeduphealth = false
	statusflag2_istitlescreen = true

	tempdata = 0

	enemytype = enemytype_normal

	zombieskilllevel = 0
	zombieheath = 3

	ghostskilllevel = 0
	ghosthealth = 3

	scorecolor = _DE	

	player0x = -1
	player0y = -1
	playerhealth = $FF
	playerlives = 3 ; pfscore1 used to display lives.

	lastdirection = dir_down
	balldirection = dir_down
	zombiedirection = dir_down

	player1x = -1
	player1y = -1

	;screennum = 14
	screennum = 14
	screenchange = false

	pframe = 0
	score = 0

	pfscorecolor = _44 ; used for lives
	pfscore1 = 21 ; binary value shown. 21 = 10101, 5 = 101, 1 = 1
	
	;set audio volume to off
	AUDV0 = 0
	AUDV1 = 0	

	bally = -1
	ballx = -1
	ballheight = 2	
	CTRLPF = $11    ; 2px ball, regular bB PF

	missile1height = 4
	missile1x = -1
	missile1y = -1	
	missilespriteconfig = $20
	missilespritecolor = _CA
	
	COLUBK = _B0

	gosub show_title_screen bank4

	goto skip_cutscene_settings

cutscene_return	    ;when getaway cut scene finishes, the game returns here.

	rem init player sprite drawing.
	gosub set_player_pframe0 thisbank

	goto mainloop

skip_cutscene_settings

	rem start game after leaving the title screen
	pframe = 0
	player0x = 60
	player0y = 25
	playerenterx = 60 
	playerentery = 25 	

	rem init player sprite drawing.
	gosub set_player_pframe0 thisbank


	rem set initial screen 
	gosub set_screen bank5



mainloop	

	; rand16 = rand ; set random value each loop.

	rem reset switch reboots game
	rem note that reboot will clear all variable values like high scores as well!
	if switchreset then reboot
	if switchbw then gosub pause thisbank 

	rem player color must be set in main loop before draw screen
	rem set player color based on left difficulty switch
	if switchleftb then COLUP0 = _1C else COLUP0 = _0C	


	rem ****** Start of player and playfield collision detection *****************
	rem **** Collision code modified version from: https://www.randomterrain.com/atari-2600-memories-batari-basic-commands.html#collision ****
	temp1 = 0 ; x attempted
	temp2 = 0 ; y attempted	

	if !joy0up then goto skipmoveup
	
	temp5 = (player0x - 10) / 4
   	temp6 = (player0y - 9) / 8   

   	if temp5 < 34 then if pfread(temp5,temp6) then goto skipmoveup

   	temp4 = (player0x - 17) / 4

   	if temp4 < 34 then if pfread(temp4,temp6) then goto skipmoveup

   	temp3 = temp5 - 1

   	if temp3 < 34 then if pfread(temp3,temp6) then goto skipmoveup   	
	temp2 = -1
	lastdirection = dir_up	
	player0y = player0y + temp2

skipmoveup

	if !joy0down then goto skipmovedown
	
   	temp5 = (player0x - 10) / 4
   	temp6 = (player0y) / 8

   	if temp5 < 34 then if pfread(temp5,temp6) then goto skipmovedown

   	temp4 = (player0x-17)/4

   	if temp4 < 34 then if pfread(temp4,temp6) then goto skipmovedown

   	temp3 = temp5 - 1

   	if temp3 < 34 then if pfread(temp3,temp6) then goto skipmovedown	
	temp2 = 1
	lastdirection = dir_down	
	player0y = player0y + temp2

skipmovedown

	if !joy0left then goto skipmoveleft

	temp5 = (player0y - 1) / 8
   	temp6 = (player0x - 18) / 4

   	if temp6 < 34 then if pfread(temp6,temp5) then goto skipmoveleft

   	temp3 = (player0y - 8) / 8

   	if temp6 < 34 then if pfread(temp6,temp3) then goto skipmoveleft	
	temp1 = -1
	lastdirection = dir_left	
	player0x = player0x + temp1

skipmoveleft

	if !joy0right then goto skipmoveright	
   	temp5 = (player0y - 1) / 8
   	temp6 = (player0x - 9) / 4

   	if temp6 < 34 then if pfread(temp6,temp5) then goto skipmoveright

   	temp3 = (player0y - 8) / 8

   	if temp6 < 34 then if pfread(temp6,temp3) then goto skipmoveright
	temp1 = 1
	lastdirection = dir_right	
	player0x = player0x + temp1

skipmoveright
	
	rem ******* end of player and playfield collision detection *********	
	
	if collision(player0, player1) then gosub check_player_collision  bank5
	if collision(player0, missile1) then gosub check_player_missile1_collision thisbank

	if joy0fire && statusflag_hasweapon then gosub fire_weapon thisbank

	if statusflag_isweaponfired then gosub move_ball thisbank
	
	rem if player moves to an edge location, move them to next or previous screen accordingly. assume no change before check.
	screenchange = false

	if statusflag2_inforest then gosub handle_forest_screens bank5 : goto skip_regular_screen_check

	if player0y > 90 then screennum = screennum + 01 : player0y = 10 : screenchange = true
	if player0y < 10 then screennum = screennum - 01 : player0y = 90 : screenchange = true
	if player0x > 135 then screennum = screennum + 10 : player0x =  18 : screenchange = true
	if player0x < 15 then screennum = screennum - 10 : player0x =  135 : screenchange = true

skip_regular_screen_check

	if screenchange then gosub set_screen bank5

	COLUPF = _D2 ; bB bug causes first line of PF to be wrong color. This isn't perfect but I don't want to 
				 ; create a whole if/then block to set one thin line of color and use all that ROM space.	
	

	if collision(ball, player1) then gosub handle_ball_player1_collision thisbank ; zombie gets hit.
	if collision(ball, missile1) then gosub handle_ball_missile1_collision thisbank ; ghost gets hit.

	gosub set_score_color_based_on_health  thisbank

	rem rotate frames back and forth by increasing frame count to max, then reset.
	pframe = pframe + 1
	if pframe > 20 then pframe = 0

	rem if movement, cycle sprite image based on pframe. this is after drawscreen because set_player will fall through to a goto mainloop
	rem therefore bypassing everything after these two if statements if there's movement.
	if temp1 <> 0 then gosub set_player thisbank
	if temp2 <> 0 then gosub set_player thisbank
	if temp1 = 0 && temp2 = 0 then gosub set_player_pframe0 thisbank

	COLUP1 = missilespritecolor  ; needs to be set each game loop. draw screen clears it.
	if zombiestatusflag_ispresent && zombieheath <= 0 then COLUP1 = _44 ; zombie dies, color turns red for both.

	rem draw screen call - will clear temp vars and other values
	drawscreen	

	rem ****** Missile and Sprite set up. Set in set_screen sub and defined further in individual screens if needed. ********
	rem ****** Cleared by drawscreen so needs to be reset.
	NUSIZ1 = missilespriteconfig  
	
	;only set zombie sprite if they are not hit. (hit image set in ball player1 collision)
	;always call move zombie if they are present
	if zombiestatusflag_ispresent && !zombiestatusflag_ishit then gosub set_zombie thisbank 
	if zombiestatusflag_ispresent then gosub move_zombie  thisbank 

	;duration counts stun time of zombies. (reset on zombie hit). After 10 game loops, zombie hit flag is turned off.
	duration = duration + 1
	if duration >= 10 then zombiestatusflag_ishit = false

	if ghoststatusflag_ispresent then gosub move_ghost thisbank
	
	if playerhealth < $10 then gosub handle_death thisbank

	if statusflag_isgameover then goto gameover thisbank		

	;set volumes off at end of loop
	AUDV0 = 0	
	AUDV1 = 0
 	goto mainloop

    rem ************ END OF MAIN GAME LOOP ******************





set_score_color_based_on_health
	if playerhealth > 190 then scorecolor = _CA : return thisbank
	if playerhealth > 130 then scorecolor = _1E : return thisbank
	if playerhealth > 60 then scorecolor = _2C : return thisbank
	scorecolor = $44
	return thisbank
	


	rem used to check when player0 collides with the missile1 on a given screen.
check_player_missile1_collision	

	rem default behavior is ghost enemy
	temp5 = $08 ; default ghost damage
	if statusflag_hasarmor then temp5 = $04 ; half damage if has armor
	if switchrightb then temp5 = $04
	if switchrightb && statusflag_hasarmor then temp5 = $02
	if ghoststatusflag_ispresent && ghoststatusflag_isactive then playerhealth = playerhealth - temp5 : AUDV0 = 7 : AUDC0 = 1 : AUDF0 = 20 

	return thisbank


	rem used to check when ball hits a zombie enemy 
handle_ball_player1_collision
	if !zombiestatusflag_ispresent then return thisbank
	if !zombiestatusflag_isactive then return thisbank 

	zombieheath = zombieheath - 1

	AUDV1 = 7
	AUDC1 = 3 
	AUDF1 = 2	

	;switch sprite to hit sprite
	player1:	
	%00100010
	%00010100
	%00001000
	%00001000
	%00111110
	%01010101
	%00011100
	%00011100
end
	zombiestatusflag_ishit = true
	duration = 0

	;boss dies
	if zombieheath <= 0 && zombiestatusflag_isboss then zombiestatusflag_isactive = false : zombieheath = 0 : ghoststatusflag_isactive = false : missile1x = -1 : missile1y = -1 : score = score + 2500 : gosub set_boss_prize bank5 

	;regular zombie dies, ghost become fast monsters if alive
	if zombieheath <= 0 && !zombiestatusflag_isboss then ghoststatusflag_fastmonster = true : zombiestatusflag_isactive = false : zombieheath = 0 : score = score + 50 : gosub set_zombie_dead thisbank
	
	return thisbank

	

	rem used to check when ball hits ghost enemy. if dead, move missile off screen. (no dead body)
handle_ball_missile1_collision
	if !ghoststatusflag_ispresent then return thisbank
	if !ghoststatusflag_isactive then return thisbank

	ghosthealth = ghosthealth - 1
	AUDV1 = 7
	AUDC1 = 3 
	AUDF1 = 5

	if ghosthealth <= 0 && !zombiestatusflag_isboss then ghoststatusflag_isactive = false : ghosthealth = 0 : missile1x = - 1 : missile1y = - 1 : score = score + 100 : return thisbank
	
	;if kill boss projectile, throw another one. if boss dead, don't keep throwing projectiles. last projectile gets a little score bonus
	if ghosthealth <= 0 && zombiestatusflag_isactive && zombiestatusflag_isboss then ghosthealth = 1 : missile1x = player1x + 10 : missile1y = player1y : score = score + 5 : return thisbank
	if ghosthealth <= 0 && !zombiestatusflag_isactive then ghoststatusflag_isactive = false : ghosthealth = 0 : missile1x = -1 : missile1y = -1 : score = score + 15 : return thisbank

	;push ghost back if not dead.
	if balldirection = dir_down then missile1y = missile1y + 1
	if balldirection = dir_up then missile1y = missile1y - 1 
	if balldirection = dir_left then missile1x = missile1x - 1
	if balldirection = dir_right then missile1x = missile1x + 1

	return thisbank 


handle_death
	playerlives = playerlives - 1
	if playerlives = 2 then pfscore1 = 5 : gosub set_player_dead : playerhealth = $FF : return thisbank
	if playerlives = 1 then pfscore1 = 1 : gosub set_player_dead : playerhealth = $FF : return thisbank
	if playerlives = 0 then pfscore1 = 0 : gosub set_player_dead : playerhealth = $FF : return thisbank
	pfscore1 = 0
	statusflag_isgameover = true
	gosub set_player_dead thisbank
	return thisbank


fire_weapon
	if statusflag_isweaponfired then return thisbank
	statusflag_isweaponfired = true
	ballx = player0x
	bally = player0y - 4

	AUDV1 = 7
	AUDC1 = 3 
	AUDF1 = 25

	if lastdirection = dir_up || lastdirection = dir_down then ballx = ballx + 5

	balldirection = lastdirection	
	return thisbank

move_ball
	if !statusflag_isweaponfired then return thisbank

	if balldirection = dir_left then ballx = ballx - 2
	if balldirection = dir_right then ballx = ballx + 2
	if balldirection = dir_up then bally = bally - 2
	if balldirection = dir_down then bally = bally + 2

	;if ball collides with anything, it is no longer actively fired.
	if collision(ball, playfield) then statusflag_isweaponfired = false
	if collision(ball, player1) then statusflag_isweaponfired = false
	if collision(ball, missile1) then statusflag_isweaponfired = false
	
	;if ball goes off the screen, no longer active
	if ballx <= 1 then statusflag_isweaponfired = false
	if ballx >= 150 then statusflag_isweaponfired = false
	if bally <= 1 then statusflag_isweaponfired = false
	if bally > 90 then statusflag_isweaponfired = false 

	;move ball off the screen if it's not being fired.
	if !statusflag_isweaponfired then ballx = -1 : bally = -1

	return thisbank

move_ghost
	if !ghoststatusflag_ispresent then return thisbank
	if !ghoststatusflag_isactive then return thisbank

	temp1 = 1 ; amount to move.
	if ghoststatusflag_fastmonster then temp1 = 2 ; fast monsters

	rem ghosts don't worry about collision detection, just move at player based on skill.
	temp2 = rand 
	temp3 = ghostskilllevel
	if switchrightb then temp3 = ghostskilllevel / 2
	if temp2 > temp3 then return thisbank

	if missile1x >= player0x then missile1x = missile1x  - temp1
	if missile1x <= player0x then missile1x = missile1x  + temp1
	if missile1y >= player0y then missile1y = missile1y  - temp1
	if missile1y <= player0y then missile1y = missile1y  + temp1
	return thisbank

move_zombie
	if !zombiestatusflag_ispresent then return thisbank
	if !zombiestatusflag_isactive then return thisbank	

	if zombieskilllevel = 0 then return thisbank ; immobile zombie skills are skill 0.

	;if rand value is higher than skill level, don't move zombie.
	temp2 = rand
	temp3 = zombieskilllevel
	if switchrightb then temp3 = zombieskilllevel / 2
	if temp2 > temp3 then return thisbank

	if zombiestatusflag_isvertical then gosub move_zombie_vertical : goto zombie_move_skip
	if zombiestatusflag_ishorizontal then gosub move_zombie_horizontal : goto zombie_move_skip	

	temp1 = 1 ; movement amount
	if zombiestatusflag_fastmonster then temp1 = 2

	temp3 = (player1x - 10) / 4 ; p1x pf loc
	temp4 = (player1y - 9) / 8  ; p1y pf loc
	temp5 = 0 ; p1x offset
	temp6 = 0 ; p1y offset

	if player1x < player0x then goto zombie_skip_left
	if player1x >= player0x then zombiedirection = dir_left : temp3 = temp3 - 1 : temp5 = -temp1
zombie_skip_left

	if player1x > player0x then goto zombie_skip_right
	if player1x <= player0x then zombiedirection = dir_right : temp3 = temp3 + 1 : temp5 = temp1
zombie_skip_right	

	if player1y >= player0y then goto zombie_skip_down
	if player1y < player0y then zombiedirection = dir_down : temp4 = temp4 + 1 : temp6 = temp1
zombie_skip_down

	if player1y <= player0y then goto zombie_skip_up
	if player1y > player0y then zombiedirection = dir_up : temp4 = temp4 - 1 : temp6 = -temp1

zombie_skip_up
	
zombie_move_check

	if pfread(temp3, temp4) goto zombie_move_skip
	player1x = player1x + temp5
	player1y = player1y + temp6

zombie_move_skip

	return thisbank


	rem up and down oscillating zombie movement. Does not check for PF collision
move_zombie_vertical
	temp1 = 1
	if zombiestatusflag_fastmonster then temp1 = 2

	if zombiedirection = dir_down then player1y = player1y + temp1
	if zombiedirection = dir_up then player1y = player1y - temp1

																	;vertical back and forth enemies that scroll across the playfield.
	if player1y > 80 then player1y = 80 : zombiedirection = dir_up : if enemytype = enemytype_scroll_horizontal then player1x = player1x + 16
	if player1y < 15 then player1y = 15 : zombiedirection = dir_down : if enemytype = enemytype_scroll_horizontal then player1x = player1x + 16
	if player1x > 132 then player1x = 20

	return thisbank


	rem left and right oscillating zombie movement. Does not check for PF collision
move_zombie_horizontal
	temp1 = 1
	if zombiestatusflag_fastmonster then temp1 = 2

	if zombiedirection = dir_right then player1x = player1x + temp1
	if zombiedirection = dir_left then player1x = player1x - temp1

																		;horizontal back and forth enemies that scroll across the playfield.	
	if player1x > 132 then player1x = 132 : zombiedirection = dir_left : if enemytype = enemytype_scroll_vertical then player1y = player1y + 16
	if player1x < 20 then player1x = 20 : zombiedirection = dir_right : if enemytype = enemytype_scroll_vertical then player1y = player1y + 16
	if player1y > 78 then player1y = 16
	return thisbank



	rem sprite images are drawn upside down unlike the playfield
	rem also required to be in binary rather than chars.

	rem set player's frame image based on where the pframe counter is (if shoudl be on 1/2 value of max range)
set_player
	
	if pframe < 10 then goto set_player_pframe1
	if pframe >= 10 then goto set_player_pframe2 	
	return thisbank


set_player_pframe0
	player0:
	%00010100
	%00010100
	%00001000
	%00101010
	%00011100
	%00001000
	%00011100
	%00011100
end	
	goto done_set_player

set_player_pframe1	
	player0:
	%00010000
	%00010100
	%00001000
	%00101010
	%00011100
	%00001000
	%00011100
	%00011100
end
	goto done_set_player

set_player_pframe2	
	player0:
	%00000100
	%00010100
	%00001000
	%00101010
	%00011100
	%00001000
	%00011100
	%00011100
end
	goto done_set_player


done_set_player		
	return thisbank


; draws player as dead until button is pressed 
set_player_dead
	statusflag2_playerdead = true 
		
	player0:
	%00111110
	%00010100
	%00000000
	%00000000
	%00000000
	%00000000
	%00000000
	%00000000
end
	AUDV1 = 0 ; turn off any other sfx that may be running.
	timer = 0	
	AUDV0 = 10
	AUDC0 = 6
	AUDF0 = 0

set_player_dead_play_sfx
	drawscreen

	NUSIZ1 = missilespriteconfig   ; draw screen clears these values so they must be reset
	COLUP1 = missilespritecolor 

	timer = timer + 1		
	AUDF0 = timer

	if timer < 30 then goto set_player_dead_play_sfx thisbank

set_player_dead_play_sfx_done	
	AUDV0 = 0
	AUDV1 = 0

	if statusflag_isgameover then return thisbank
	drawscreen

	NUSIZ1 = missilespriteconfig  
	COLUP1 = missilespritecolor 
	
	if switchreset then reboot
	if joy0fire then player0x = playerenterx : player0y = playerentery : return thisbank
	goto set_player_dead_play_sfx_done


set_zombie
	if player1x < 0 || player1y < 0 then return thisbank
	if !zombiestatusflag_isactive then if zombiestatusflag_isboss then COLUP1 = _44 : return thisbank
	if !zombiestatusflag_isactive then if !zombiestatusflag_isboss then COLUP1 = _44 : goto set_zombie_dead
	
	if zombiedirection = dir_left then goto set_zombie_left
	if zombiedirection = dir_right then goto set_zombie_right
	if zombiedirection = dir_down then goto set_zombie_down
	if zombiedirection = dir_up then goto set_zombie_up
	return thisbank

set_zombie_left
	player1:
	%00001000
	%00001000
	%00001000
	%01001000
	%00111000
	%00001000
	%00011000
	%00011000
end
	goto done_set_zombie

set_zombie_right
	player1:
	%00001000
	%00001000
	%00001000
	%00001001
	%00001110
	%00001000
	%00001100
	%00001100
end
	
	goto done_set_zombie	

set_zombie_down
	player1:
	%00010100
	%00010100
	%00001000
	%00101010
	%00111110
	%00001000
	%00011100
	%00011100
end
	goto done_set_zombie	

set_zombie_up
	player1:
	%00010100
	%00010100
	%00001000
	%00001000
	%00111110
	%00101010
	%00011100
	%00011100
end
	goto done_set_zombie

set_zombie_dead	
	player1:
	%01111110
	%00110100
	%00100000
	%00000000
	%00000000
	%00000000
	%00000000
	%00000000
end
	goto done_set_zombie

done_set_zombie
	return thisbank 




gameover  ; needs to be in this bank. jump is too far to restart being in more distant location.
	AUDV0 = 0
	AUDV1 = 0

	scorecolor = _00
	COLUBK = _C0
	pfcolors:   
	_02
   	_02
   	_02
   	_02
   	_02
	_02
   	_02
	_02
	_02
	_02
	_02  
	_02 
end
	
	tempdata = false
	timer = 0

game_over_screen
	drawscreen

	NUSIZ1 = missilespriteconfig   ; draw screen clears these values so they must be reset	

	rem  code below makes a rainbow seizure inducing background. 
	timer = timer + 1
	if timer > $40 then tempdata = true
	if timer > 245 then timer = 0
	if timer & $01 then pframe = pframe + $01 
	
	COLUBK = pframe

	if switchreset then reboot
	if tempdata && joy0fire && switchleftb then statusflag_isgameover = false : pframe = 0
	if tempdata && joy0fire && !switchleftb then reboot ; difficulty A, do not save progress.
	
	if statusflag_isgameover then goto game_over_screen

	goto reset_game 



pause	
	scorecolor = _00 ; set players and score to black to show game is paused.
pause_run
	drawscreen
	if !switchbw then gosub set_score_color_based_on_health : return thisbank
	goto pause_run





	rem ************************* START BANK 2 - Level data *************************
	bank 2

	
;***************** ROW 1 SCREENS ***********************

screen_0_0	
	COLUBK = _06

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghostskilllevel = 75
	ghosthealth = 5
	missile1x = (rand & 100) + 20
	missile1y = (rand & 50) + 20	
	

	rem player1 used as house door.
	player1:
	%11111111
	%11111111
	%11111101
	%11111111
	%10000001
	%10111101
	%10000001
	%11111111
end

	playfield:	
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	X.......X.........X....X........
	X......................X........
	X...X.......X..........X....X...
	X...XXXXXXXXXXXXXXX....X....X...
	X.......XX........X....X....X...
	X.......XX........X.........X...
	X.................X.........XXXX
	X.......XX........XXXXXXXXXXXXXX
	X.......XX.....................X	
	XXXXXXXXXX.....................X
	XXXXXXXXXX.....................X
end

   pfcolors:
   _04
   _04
   _04
   _04
   _04
   _04
   _04
   _04
   _04
   _04
   _04
   _04
end
	rem house door is player1 sprite. display door if they haven't opened it yet. 
	if !statusflag_ishousekeyused then player1x = 49 : player1y = 63 else player1x = -1 : player1y = -1

	return otherbank
	
	

screen_0_1	
	COLUBK = _C4	
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true	
	zombieskilllevel = 70
	zombieheath = 8
	player1x = (rand & 10) + 70
	player1y = (rand & 10) + 25
	
	missilespritecolor = _2A ; orange color
	missilespriteconfig = $35 ; double size sprite

	playfield:		
	XXXXXXXXXX.....................X	
	X...............................
	X......X.................X......
	X.....XXX...............XXX.....
	X....XXXXX.............XXXXX....
	X......X.................X......
	X..............X................
	X.............XXX...............
	X............XXXXX..............
	X..............X................
	X...............................		
	X...............................
end

   pfcolors:   
   _04
   _04
   _D2
   _D2
   _D2
   _D2
   _22
   _D2
   _D2
   _D2
   _22  
   _D2 
end
	return otherbank
	


screen_0_2
	COLUBK = _C4
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombieskilllevel = 70
	zombieheath = 9
	player1x = (rand & 10) + 60
	player1y = (rand & 10) + 20	

	missilespriteconfig = $33 ; triple zombie sprite
	missilespritecolor = _AA ; 

	playfield:
	X...............................
	X...............................
	X...............................
	X.......X..................X....
	X......XXX................XXX...
	X.....XXXXX..............XXXXX..
	X.......X..................X....
	X...............................
	X...............................
	X...............................
	XXXXXXXXXXXX..........XXXXXXXXXX
	XXXXXXXXXXXX..........XXXXXXXXXX
end	

	pfcolors:   
	_D2
   	_D2
   	_D2
   	_D2
   	_D2
   	_D2
   	_D2
	_22
	_D2
	_D2
	_04  
	_04 
end 
	return otherbank
	


screen_0_3
	COLUBK = _D4	
	
	missilespriteconfig = $37 ; 8px missile, quad size player
	missilespritecolor = _38 ; graveyard gate color - orangered

	rem player1 is the graveyard gate
	player1:
	%01010101
	%01111111
	%01010101
	%01111111
	%01010101
	%01111111
	%01010101
	%00111110	
end

	playfield: 
	XXXXXXXXXXXX..........XXXXXXXXXX
	X...............................
	X...XXX.................XXX.....
	X...XXX.................XXX.....
	X..XXXXX...............XXXXX....
	X...............................
	X...............................
	X...XXX.................XXX.....
	X...XXX.................XXX.....
	X..XXXXX...............XXXXX....
	XXXXXXXXXXXX.......XXXXXXXXXXXXX
	XXXXXXXXXXXX.......XXXXXXXXXXXXX
end 
	pfcolors:   
	_06
   	_06
   	_08
   	_08
   	_08
	_06
   	_06
	_08
	_08
	_08
	_06  
	_06 
end

	rem if graveyard key isn't used yet, display graveyard gate sprite.
	if !statusflag_isgraveyardkeyused then player1x = 60 : player1y = 88 else player1x = -1 : player1y = -1
	
	return otherbank
	





;***************** ROW 1 SCREENS ***********************

screen_1_0	
	COLUBK = _06
	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghostskilllevel = 75
	ghosthealth = 5
	missile1x = (rand & 100) + 20
	missile1y = (rand & 50) + 20	
	
	missilespriteconfig = $20 ; 4px wide missile, 1 p1
	missilespritecolor = _0A ; gun/ghost color - gray

	playfield:	
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	...............................X
	...............................X
	...XXXXXXXXXXXXXXXXXXXXXXX.....X
	...X....X.....X..........X.....X
	...X....X.....X..........X.....X
	...X..........X.....X....X.....X
	XXXX..........X.....X....X.....X
	X.......X...........X..........X
	X.......X...........X..........X
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end
 
   pfcolors:
   _04
   _04
   _04
   _04
   _04
   _04
   _04
   _04
   _04
   _04
   _04
   _04
end 

	rem player1 used as a gun sprite.
	player1:
	%00000000
	%00000000
	%00000000
	%00000011
	%00000011
	%11111111
	%11111110		
	%00000000
end	

	if !statusflag_hasweapon then player1x = 25 : player1y = 75 else player1x = -1 : player1y = -1
	
	return otherbank
	

screen_1_1
	COLUBK = _C4

	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombieskilllevel = 100
	zombieheath = 5
	player1x = (rand & 10) + 48
	player1y = (rand & 10) + 50

	playfield:	
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	...........XXXXXXXXXXXXXXXXXXXXX
	.............XXXXXXXXXXXXXXXXXXX
	.........XXXXXXXXXXXXXXXXXXXXXXX
	...........XXXXXXXXXXXXXXXXXXXXX
	...............XXXXXXXXXXXXXXXXX
	................................
	.......................X........
	......................XXX.......
	.....................XXXXX......
	.......................X........
	................................
end
 
   	pfcolors:   
	_04
	_04
	_84
	_86
	_88
	_98
	_88
	_D2
	_D2
	_D2
	_D2  
	_22 
end
	return otherbank
	


screen_1_2
	COLUBK = _C4
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombieskilllevel = 80
	zombieheath = 3
	player1x = (rand & 10) + 48
	player1y = (rand & 10) + 50

	playfield:
	................................
	................................
	................................
	................................
	................................
	...............X................
	..............XXX...............
	.............XXXXX..............
	...............X................
	................................
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end

   	pfcolors:   
	_84
	_86
	_88
	_98
	_88   	   	
	_D2
	_D2
   	_D2
   	_D2
	_22
   	_04
	_04
end 
	return otherbank
	



screen_1_3
	COLUBK = _D4
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombieskilllevel = 40
	zombieheath = 6
	player1x = (rand & 10) + 48
	player1y = (rand & 10) + 50
	playfield:
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	...............X...............X
	...............X...............X
	....XXX........X.......XXX.....X
	....XXX........X.......XXX.....X
	...XXXXX.......X......XXXXX....X
	....X.X........X........X......X
	....XXX........X.......XXX.....X
	....XXX................XXX.....X
	...XXXXX..............XXXXX....X
	XXXXXXXXXXXXXXXXXXXXXXX........X
	XXXXXXXXXXXXXXXXXXXXXXX........X
end
 
	pfcolors:   
	_06
   	_06
   	_08
   	_08
   	_08
	_08
   	_06
	_08
	_08
	_08
	_06  
	_06 
end	
	return otherbank 
	


screen_1_4
	COLUBK = _D4

	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombieskilllevel = 40
	zombieheath = 6	
	player1x = (rand & 10) + 80
	player1y = (rand & 10) + 60

	playfield:
	XXXXXXXXXXXXXXXXXXXXXXX........X
	X..............X...............X
	X..............X...............X
	X...XXX........X.......XXX.....X
	X...XXX........X.......XXX.....X
	X..XXXXX.X.X.X.XX.X.X.XXXXX....X
	X..............X...............X
	X...XXX........X.......XXX.....X
	X...XXX................XXX.....X
	X..XXXXX..............XXXXX....X
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end
	pfcolors:   
	_06
   	_06
   	_08
   	_08
   	_08
	_08
   	_06
	_08
	_08
	_08
	_06  
	_06 
end	
	return otherbank 
	






;***************** ROW 2 SCREENS ***********************

screen_2_0
	COLUBK = _F6

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghoststatusflag_fastmonster = true	
	ghostskilllevel = 20
	ghosthealth = 7
	missile1x = 60
	missile1y = 80

	playfield:	
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXX...........
	XXXXXXXXXXXXXXXXXX..............
	XXXXXXXXXXX.....................
	XXXXXXXXX..................XXXXX
	XXXXXXXX.................XXXXXXX
	XXXXXXXX.................XXXXXXX
	XXXXXXXXX.................XXXXXX
	XXXXXXXXXXX..............XXXXXXX
	XXXXXXXXXXXXXX.........XXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end
 
   	pfcolors:   
	_84
	_72
	_84
	_86
	_88
	_98
	_88
	_86
	_84
	_72
	_84  
	_86 
end

	;house key
	player1:
	%00000000
	%00000000
	%00000000
	%00000111
	%10101101
	%11111111
	%00000000
	%00000000
end
	if !statusflag_hashousekey then player1x = 80 : player1y = 80 else player1x = -1 : player1y = -1
	return otherbank
	


screen_2_1
	COLUBK = _F6

	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombiestatusflag_ishorizontal = true
	zombiestatusflag_fastmonster = true
	zombieskilllevel = $FF
	zombieheath = 20
	zombiedirection = dir_right
	
	player1x = 50
	player1y = 56

	missilespriteconfig = $33 ; triple missile/p1, 8px missile
	missilespritecolor = _0E ; white-ish color

	playfield:	
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	.........XX......XX......XX.....
	.....XX......XX......XX......XXX
	......XXXXXXXXXXXXXXXXXXXXXXXXXX
	.......XXXXXXXXXXXXXXXXXXXXXXXXX
	........XXXXXXXXXXXXXXXXXXXXXXXX
	........XXXXXXXXXXXXXXXXXXXXXXXX
end
 
   	pfcolors:   
	_84
	_72
	_84
	_86
	_88
	_98
	_88
	_86
	_84
	_72
	_84  
	_86 
end
	return otherbank


screen_2_2
	COLUBK = _F6
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true	
	zombieskilllevel = $4F
	zombieheath = 6
	zombiedirection = dir_left

	player1x = (rand & 40) + 50
	player1y = (rand & 10) + 50
	
	missilespriteconfig = $31 ; close double sprite
	missilespritecolor = _AC ; teal

	playfield:
	........XXXXXXXXXXXXXXXXXXXXXXXX
	.........XXXXXXXXXXXXXXXXXXXXXXX
	...........XXXXXXX...XXXXX...XXX
	.............XXX...............X
	................................
	................................
	................................
	................................
	......XXXXX......XX......XX..X..
	...XXXXXXXXXX..XXXXXX..XXXXXXXX.
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end

   	pfcolors:   
	_84
	_86
	_88
	_98
	_88   	   	
	_D2
	_D2
   	_D2
   	_D2
	_D2
   	_D2
	_D2	
end 
	return otherbank





;***************** ROW 3 SCREENS ***********************

screen_3_0
	COLUBK = _F6

	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombiestatusflag_isvertical = true
	;zombiestatusflag_fastmonster = true
	zombieskilllevel = $FF
	zombieheath = 20
	zombiedirection = dir_down
	player1x = 74
	player1y = 20
	
	missilespriteconfig = $31 ; double zombie/ghost; 8px ghost
	missilespritecolor = _0E ; white-ish

	playfield:	
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	......XXXXXX..........XXXXXXXXXX
	...X...XXXX....XXXX....XXXXXXXXX
	...XX.................XXXXXXXXXX
	XXXXXXXXXXXX....XX...XXXXXXXXXXX
	XXXXXXXXXXXXXX..XXX..XXXXXXXXXXX
	XXXXXXXXXXX.............XXXXXXXX
	XXXXXXXXXX......XXX....XXXXXXXXX
	XXXXXXXXXXXXXX..XXX..XXXXXXXXXXX
	XXXXXXXXXXXXXX..XXX..XXXXXXXXXXX
	XXXXXXXXXXXXXX.......XXXXXXXXXXX
	XXXXXXXXXXXXX........XXXXXXXXXXX
end
 
   	pfcolors:   
	_84
	_72
	_84
	_86
	_88
	_98
	_88
	_86
	_84
	_72
	_84  
	_86 
end
	return otherbank
	

screen_3_1
	COLUBK = _F6

	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombiestatusflag_isvertical = true
	zombiestatusflag_fastmonster = false
	zombieskilllevel = $FF
	zombieheath = 20
	zombiedirection = dir_down
	player1x = 74
	player1y = 20

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghostskilllevel = 20
	ghosthealth = 2
	missile1x = 100
	missile1y = 20

	missilespritecolor = _0E ; white-ish
	missilespriteconfig = $31 ; double sprites; 8px missile

	playfield:	
	XXXXXXXXXXXXXX.......XXXXXXXXXXX
	XXXXXXXXXXXXXX.......XXXXXXXXXXX
	XXXXXXXXXXXX....XXX..XXXXXXXXXXX
	XXXXXXXXXXXXXX........XXXXXXXXXX
	XXXXXXXXXXXXXX..XXX...XXXXXXXXXX
	XX.....XXXXXXX..XXX..XXXXXXXXXXX
	........XXXXX.........XXXXXXXXXX
	XX........XX...XXXX...XXXXXXXXXX
	XXXX.................XXXXXXXXXXX
	XXXXXXX.............XXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end
 
   	pfcolors:   
	_84
	_72
	_84
	_86
	_88
	_98
	_88
	_86
	_84
	_72
	_84  
	_86 
end
	return otherbank
	


screen_3_2_no_gascan
	COLUBK = _F6
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true	
	zombieskilllevel = $4F
	zombieheath = 7
	zombiedirection = dir_left

	player1x = (rand & 40) + 40
	player1y = (rand & 10) + 50
	
	missilespriteconfig = $34 ; wide double sprites
	missilespritecolor = _5E ; light pink

	playfield:
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	....XXXXXXXXX......XXXXXXXXX....
	......XXXXX.....................
	................................
	................................
	..............XXXXX........X....
	...........XXXXXXXXXX....XXXX...
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end

   	pfcolors:   
	_84
	_86
	_88
	_98
	_88   	   	
	_86
	_84
   	_D2
   	_D2
	_D2
   	_D2
	_D2	
end 
	return otherbank

screen_3_2_gascan
	COLUBK = _F6
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true	
	zombieskilllevel = $4F
	zombieheath = 7
	zombiedirection = dir_left

	player1x = (rand & 40) + 40
	player1y = (rand & 10) + 50

	missilespriteconfig = $34 ; wide double sprites
	missilespritecolor = _5E ; light pink

	playfield:
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	....XXXXXXXXX......XXXXXXXXX....
	......XXXXX.....................
	................................
	................................
	.........XX................X....
	........XXXX........XX...XXXX...
	XXXXXXXXXXXXX.......XXXXXXXXXXXX
	XXXXXXXXXXXXX.......XXXXXXXXXXXX
end

   	pfcolors:   
	_84
	_86
	_88
	_98
	_88   	   	
	_86
	_84
   	_D2
   	_D2
	_D2
   	_D2
	_D2	
end 
	return otherbank	




;***************** ROW 4 SCREENS ***********************

screen_4_0
	COLUBK = _F6

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghoststatusflag_fastmonster = true
	ghostskilllevel = 55
	ghosthealth = 3
	missile1x = (rand & 80) + 40
	missile1y = (rand & 50) + 20
	
	missilespritecolor = _44 ; red
	missilespriteconfig = $30 ; 8px missile

	playfield:
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXX....XXXXXXXXXXXXXXXXXX
	XXXXXXXXX........XXXXXXXXXXXXXXX
	XXXXXXXX............XXXXX.......
	XXXXXXX.........................
	XXXXXX..........................
	XXXXX...........................
	XXXX............................
	XXXX............................
	XXXXX...........................
	XXXXXXX.........................
end

   	pfcolors:   
	_84
	_86
	_88
	_98
	_88   	   	
	_86
	_84
   	_86
   	_88
	_98
   	_88
	_86	
end 
	return otherbank
	

screen_4_1
	COLUBK = _F6
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true	
	zombieskilllevel = 60
	zombieheath = 4	

	player1x = 80
	player1y = 40

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghostskilllevel = 75
	ghosthealth = 4
	missile1x = (rand & 80) + 40
	missile1y = (rand & 50) + 20

	missilespriteconfig = $20 ; 4px ghost
	missilespritecolor = _D2 ; greeen

	playfield:
	XXXXXXX.........................
	XXXXXXXX........................
	XXXXXXX.........................
	XXXXXX..........................
	XXXXX...........................
	XXXXXX..........................
	XXXXXXX.........................
	XXXXXXXX........................
	XXXXXXXXX.......................
	XXXXXXXXX.......................
	XXXXXXXX........................
	XXXXXXX.........................
end

   	pfcolors:   
	_84
	_86
	_88
	_98
	_88   	   	
	_86
	_84
   	_86
   	_88
	_98
   	_88
	_86	
end 
	return otherbank
	

screen_4_2
	COLUBK = _F6
	statusflag2_inforest = false
	statusflag2_pickeduphealth = false ; reset health spawn each time near forest.
	
	missilespritecolor = _FE ; light gold
	missilespriteconfig = $27 ; triple sized sprite - 4px missile

	if statusflag2_isforestunlocked then goto skip_large_zombie

	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true	
	zombieskilllevel = 0 ; immobile
	zombieheath = 10
	zombiedirection = dir_up

	player1x = 108
	player1y = 80

skip_large_zombie

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghostskilllevel = 75
	ghosthealth = 4
	missile1x = (rand & 80) + 40
	missile1y = (rand & 50) + 20

	playfield:
	XXXXXXX.........................
	XXXXXXXX........................
	XXXXXXX.........................
	XXXXX...........................
	................................
	................................
	................................
	..............X.....XX..........
	.............XXXX..XXXXX.......X
	...XXXXX...XXXXXXXXXXXXXX.....XX
	XXXXXXXXXXXXXXXXXXXXXXXXX....XXX
	XXXXXXXXXXXXXXXXXXXXXXXXX....XXX
end

   	pfcolors:   
	_84
	_86
	_88
	_98
	_88   	   	
	_D2
	_D2
   	_D2
   	_D2
	_D2
   	_D2
	_D2	
end 
	return otherbank
	

screen_4_3
	statusflag2_inforest = true 
	statusflag2_isforestunlocked = true ; if player gets here, forest is unlocked.	

	COLUBK = _D2
	
	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghoststatusflag_fastmonster = true
	ghostskilllevel = 60
	ghosthealth = 4
	missile1x = (rand & 80) + 40
	missile1y = (rand & 50) + 20


	playfield:
	XXXXXXXXXXXXXXXXXXXXXXXXX....XXX
	X..............................X
	X..............................X
	X....XXXXXXXXXXXXXXXXXXXXXXXXXXX
	.....X..........................
	.....X..........................
	.....X......XXXXXXXXXXXXXX......
	X....X......X............X.....X
	X...........X............X.....X
	X...........X..................X
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
end

   	pfcolors:   
	_D0
	_D0
	_D0
	_D0
	_D0   	   	
	_D0
	_D0
   	_D0
   	_D0
	_D0
   	_D0
	_D0	
end 
	return otherbank	


screen_4_4

	COLUBK = _D2

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghoststatusflag_fastmonster = true
	ghostskilllevel = 65
	ghosthealth = 4
	missile1x = (rand & 80) + 40
	missile1y = (rand & 50) + 20

	playfield:
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
	X.........X........X...........X
	X....X....X........X...........X
	X....X.............XXXXXX......X
	.....XXXXXXXXXXXXXXX............
	.....X..........................
	.....X..........................
	X....XXXXXXXXXXXXXXXXXXXXXXXXXXX
	X..............................X
	X..............................X
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
end

   	pfcolors:   
	_D0
	_D0
	_D0
	_D0
	_D0   	   	
	_D0
	_D0
   	_D0
   	_D0
	_D0
   	_D0
	_D0	
end 
	return otherbank



;***************** ROW 5 SCREENS ***********************

screen_5_0
	COLUBK = _F6

	;player1 is car sprite
	player1x = 90
	player1y = 60
	
	;hood and trunk of car.
	missile1height = 2
	ghoststatusflag_ispresent = false
	ghoststatusflag_isactive = false

	missile1x = 122
	missile1y = 59
	
	missilespriteconfig = $37 ; triple sized car sprite
	missilespritecolor = _44 ; red

	playfield:
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXX...XXXXXXX
	XXXXXXX.....XXXXXX..........XXXX
	XX...........................XXX
	...............................X
	...............................X
	...............................X
	...............................X
	...............................X
	...............................X
	..............................XX
	..............................XX
end

   	pfcolors:   
	_84
	_86
	_88
	_98
	_88   	   	
	_D2
	_0C
   	_0C
   	_0C
	_0C
   	_D2
	_D2	
end 

	;car sprite
	player1:
	%11000011
	%11111111
	%11111111
	%11111111
	%11111111
	%01000010
	%01000100
	%00111000
end
	return otherbank 	


screen_5_1
	COLUBK = _F6
	
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true	
	zombieskilllevel = 25
	zombieheath = 3
	zombiedirection = dir_up

	player1x = 95
	player1y = 40

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghoststatusflag_fastmonster = true
	ghostskilllevel = 45
	ghosthealth = 4
	missile1x = (rand & 80) + 40
	missile1y = (rand & 50) + 20
	 
	missilespritecolor = _BA ; light blue
	missilespriteconfig = $30 ; 8px missile

	playfield:
	..............................XX
	............................XXXX
	......XXXXXX...............XXXXX
	.....XXXXXXXX.............XXXXXX
	......XXXXXX...............XXXXX
	...........................XXXXX
	.........................XXXXXXX
	..........................XXXXXX
	.........................XXXXXXX
	........................XXXXXXXX
	.......................XXXXXXXXX
	.......................XXXXXXXXX
end

   	pfcolors:   
	_D2
	_D2
	_D2
	_D2
	_D2   	   	
	_D2
	_D2
   	_D2
   	_D2
	_D2
   	_D2
	_D2	
end 
	return otherbank


	rem ************************* END BANK 2 - Level data *************************
	rem ************************* END BANK 2 - Level data *************************
	rem ************************* END BANK 2 - Level data *************************













	rem ************************* START BANK 3 - Additional Level Data  *************************
	rem ************************* START BANK 3 - Additional Level Data  *************************
	rem ************************* START BANK 3 - Additional Level Data  *************************
	bank 3


	rem *********** ROW 0 SCREENS ***************
screen_0_4
	COLUBK = _D4
	
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombiestatusflag_ishorizontal = true
	zombiestatusflag_fastmonster = true
	zombiedirection = dir_right
	enemytype = enemytype_scroll_vertical
	zombieskilllevel = 200
	zombieheath = 60	
	player1x = 80
	player1y = 64
		
	missilespriteconfig = $23 ; 4px wide missile, 3 p1s close
	missilespritecolor = _BC ; light green

	playfield:
	XXXXXXXXXXX........XXXXXXXXXXXXX
	X..............................X
	X..XXXX.X.X.X.X.X.X.X.X.XXXXXXXX
	X..............................X
	XXXXXXXX.X.X.X.X.X.X.X.XXXXXX..X
	X..............................X
	X..XXXX.X.X.X.X.X.X.X.X.XXXXXXXX
	X..............................X
	XXXXXXXX.X.X.X.X.X.X.X.XXXXXX..X
	X..............................X
	XXXXXXXXXXX........XXXXXXXXXXXXX
	XXXXXXXXXXX........XXXXXXXXXXXXX
end
	pfcolors:   
	_06
   	_06
   	_06
   	_08
   	_06
	_08
   	_06
	_08
	_06
	_08
	_06  
	_06 
end	
	return otherbank 


screen_0_5
	COLUBK = _D4
	
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true	
	zombiestatusflag_fastmonster = true	
	zombieskilllevel = 50
	zombieheath = 6	
	player1x = 65
	player1y = 60

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true	
	ghostskilllevel = 75
	ghosthealth = 8
	missile1x = (rand & 80) + 40
	missile1y = (rand & 50) + 20
		
	missilespriteconfig = $30 ; 8px wide missile, 1 p1
	missilespritecolor = _BC ; light green

	playfield:
	XXXXXXXXXXXX..........XXXXXXXXXX
	X....................X.........X
	X...XXX.X.X.X.X.X.X.XX..XXX....X
	X...XXX.................XXX....X
	X..XXXXX...............XXXXX....
	X....X...................X......
	X...XXX.................XXX.....
	X...XXX.................XXX....X
	X..XXXXX..XX.X.X.X.X.X.XXXXX...X
	X........................X.....X
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end
	pfcolors:   
	_06
   	_06
   	_08
   	_08
   	_08
	_06
   	_08
	_08
	_08
	_06
	_06  
	_06 
end	
	return otherbank 

	


screen_1_5
	COLUBK = _D4
	
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombiestatusflag_isvertical = true
	zombiedirection = dir_down	
	enemytype = enemytype_scroll_horizontal
	zombieskilllevel = 200
	zombieheath = 20	
	player1x = 100
	player1y = 64

	missilespriteconfig = $33 ; 8px wide missile, 1 p1
	missilespritecolor = _BA ; light green

	playfield:
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	X....X.........X.........X.....X
	X...XXX...X...XXX...X...XXX....X
	X...XXX...X...XXX...X...XXX....X
	...XXXXX..X..XXXXX..X..XXXXX....
	.....X....X....X....X....X......
	....XXX...X...XXX...X...XXX.....
	X...XXX...X...XXX...X...XXX....X
	X..XXXXX..X..XXXXX..X..XXXXX...X
	X.........X.........X..........X
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end
	pfcolors:   
	_06
   	_06
   	_08
   	_08
   	_08
	_06
   	_08
	_08
	_08
	_06
	_06  
	_06 
end	
	return otherbank 	


	rem *********** ROW 2 SCREENS ***************


screen_2_4
	COLUBK = _D2

	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombiestatusflag_isvertical = true
	zombiestatusflag_fastmonster = true
	zombiedirection = dir_down		
	zombieskilllevel = 200
	zombieheath = 20	
	player1x = 46
	player1y = 64

	missilespriteconfig = $36 ; 8px wide missile, 3 p1
	missilespritecolor = _BA ; light green


	playfield:
	XXXXXXXXXXXXX.......XXXXXXXXXXXX
	X...................XXXXXXXXXXXX
	X..XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	X.....................XXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXX.....XXXX...
	X...............XXXXXXX..XXX....
	X..XXXXXXXXXXX...........XX....X
	X..XXXX......XXXXXXXXXXXXX....XX
	X..XXXX..XX..XX......XXXX....XXX
	X........XX......XX.........XXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end
	pfcolors:   
	_D0
   	_D0
   	_D0
   	_D0
   	_D0
	_D0
   	_D0
	_D0
	_D0
	_D0
	_D0  
	_D0 
end	
	return otherbank 

screen_2_3
	COLUBK = _04
	
	playfield:
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXX.............X
	XXX.....XXXXXXXXX..............X
	XXX.....XX..XX..X..............X
	XXX.....XX..XXXXX...............
	X...............................
	X...XXX....XXX..................
	X..XXXX...XXXX.................X
	X.X.XXX..X.XXX.................X
	X..............................X
	XXXXXXXXXXXXX.......XXXXXXXXXXXX
	XXXXXXXXXXXXX.......XXXXXXXXXXXX
end
	pfcolors:   
	_D4
   	_D4
   	_32
   	_08
   	_08
	_08
   	_42
	_30
	_30
	_30
	_08  
	_08 
end	

	;health sprite
	player1:
	%00011000
	%00011000
	%00011000
	%11111111
	%11111111
	%00011000
	%00011000
	%00011000
end
	if !statusflag2_pickeduphealth then player1x = 115 : player1y = 70 else player1x = -1 : player1y = -1

	return otherbank 


screen_2_5
	COLUBK = _D4
	
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombiestatusflag_isvertical = true
	zombiedirection = dir_down
	zombiestatusflag_fastmonster = true	
	enemytype = enemytype_scroll_horizontal
	zombieskilllevel = 200
	zombieheath = 10	
	player1x = 64
	player1y = 64

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true	
	ghostskilllevel = 30
	ghosthealth = 16
	missile1x = 65
	missile1y = 80

	missilespriteconfig = $37 ; 8px wide missile, quad size p1
	missilespritecolor = _FA ; orange-y

	playfield:
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXX.....XXXXXXXXX......X
	XXXXXXXXXX...X...XXXXXXXX..X...X
	XXXXXXXXX...XXX...XXXXXXX..X...X
	...XXXXX...XXXXX...XXXXX...X....
	...XXXX...XXXXXXX...XXX...XX....
	...XXX...XXXXXXXXX...X...XXX....
	X..XX...XXXXXXXXXXX..X..XXXXXXXX
	X..X...XXXXXXXXXXXX.....XXXXXXXX
	X.....XXXXXXXXXXXXXX...XXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end
	pfcolors:   
	_06
   	_06
   	_06
   	_06
   	_06
	_06
   	_06
	_06
	_06
	_06
	_06  
	_06 
end	
	return otherbank 


	rem *********** ROW 3 SCREENS ***************

screen_3_3_boss
	/* Boss battle screen */
	COLUBK = _D2
	
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombiestatusflag_fastmonster = true
	zombiestatusflag_isboss = true 
	zombieskilllevel = 25
	zombieheath = 40	
	player1x = 120
	player1y = 25

	player0x = 25 ; move player forward to lock them in to battle.

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true	
	ghoststatusflag_isprojectile = true
	ghostskilllevel = 120
	ghosthealth = 1
	missile1x = 120
	missile1y = 30
	 
	missilespritecolor = _0C ; gray
	missilespriteconfig = $37 ; quad sized zombie 8px missile projectile (graveyard boss)
	

	playfield:
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	X..............................X
	X..............................X
	X..............................X
	X..............................X
	X..............................X
	X..............................X
	X..............................X
	X..............................X
	X..............................X
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end
	pfcolors:   
	_D0
   	_D0
   	_D0
   	_D0
   	_D0
	_D0
   	_D0
	_D0
	_D0
	_D0
	_D0  
	_D0 
end	
	return otherbank 

screen_3_3_no_boss
	/* Graveyard boss beat screen */
	COLUBK = _D2
		
	missilespriteconfig = $00 ; 1px missile, 1 p1
	missilespritecolor = _42 ; red (gas can)

	playfield:
	XXXXXXXXXXXXX.......XXXXXXXXXXXX
	X..............................X
	X..............................X
	X..............................X
	...............................X
	...............................X
	...............................X
	X..............................X
	X..............................X
	X..............................X
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end
	pfcolors:   
	_D0
   	_D0
   	_D0
   	_D0
   	_D0
	_D0
   	_D0
	_D0
	_D0
	_D0
	_D0  
	_D0
end	
	return otherbank 

screen_3_4
	COLUBK = _D4
	
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombiestatusflag_ishorizontal = true
	zombiestatusflag_fastmonster = true
	zombiedirection = dir_right
	enemytype = enemytype_scroll_vertical
	zombieskilllevel = 200
	zombieheath = 60	
	player1x = 80
	player1y = 16
	
	
	missilespriteconfig = $33 ; 8px wide missile, 3 p1s close
	missilespritecolor = _3C ; pink-orange

	playfield:
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	X.............XXX..............X
	X...XXX.......XXX.......XXX....X
	X...XXX.................XXX....X
	...XXXXX.X.X.XXXXX.X.X.XXXXX...X
	..X...........XXX........X.....X
	XX...XX.......XXX..XX...XXX....X
	X...XXX............XX...XXX....X
	X..XXXXX.X.X.XXXXXXXX..XXXXX...X
	X...................X..........X
	XXXXXXXXXXXX........XXXXXXXXXXXX
	XXXXXXXXXXXX........XXXXXXXXXXXX
end
	pfcolors:   
	_06
   	_06
   	_08
   	_08
   	_08
	_06
   	_08
	_08
	_08
	_06
	_06  
	_06 
end	
	return otherbank 


screen_3_5
	COLUBK = _D4
	
	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true	
	ghostskilllevel = 50
	ghosthealth = 26
	missile1x = 1
	missile1y = 1

	missilespriteconfig = $37 ; 8px wide missile, quad size p1
	missilespritecolor = _0E ; white

	playfield:
	XXXXXXXXXXXX........XXXXXXXXXXXX
	XXXX.....XXX.................XXX
	XXXX..X...XXXXXXXXXXXXXXXXX...XX
	XXXX..XX....XXXXX.......XXXX...X
	...X....XX....XXX...XX....XXX..X
	...XXX....XX....XX....XX....X..X
	...XXXXX....XX....XX....XX.....X
	X..XXXXXXX....XX....XX....XXXXXX
	X..XXXXXXXXX..XXXX....XX..XXXXXX
	X.............XXXXXX......XXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end
	
	pfcolors:   
	_06
   	_06
   	_06
   	_06
   	_06
	_06
   	_06
	_06
	_06
	_06
	_06  
	_06 
end	

	return otherbank 


	rem ************** COL 4 SCREENS ******		

screen_4_5

	COLUBK = _D2
	
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true	
	zombieskilllevel = 50 
	zombieheath = 3
	zombiedirection = dir_up

	player1x = 40
	player1y = 75

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghoststatusflag_fastmonster = true
	ghostskilllevel = 50
	ghosthealth = 3
	missile1x = (rand & 80) + 40
	missile1y = (rand & 50) + 20


	playfield:
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
	X...........X..................X
	X...........X..........X.......X
	X....XXX....X....XXXXXXX.......X
	.....X......X....X.....XXXX.....
	.....X......X..........X........
	.....X......X..........X........
	XXXXXX....XXXXXXXXXX...X.......X
	X..................X...XXXXX...X
	X..................X...........X
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
end

   	pfcolors:   
	_D0
	_D0
	_D0
	_D0
	_D0   	   	
	_D0
	_D0
   	_D0
   	_D0
	_D0
   	_D0
	_D0	
end 
	return otherbank 


;***************** ROW 5 SCREENS ************************

screen_5_2
	COLUBK = _F6

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghoststatusflag_fastmonster = true
	ghostskilllevel = 45
	ghosthealth = 5
	missile1x = (rand & 80) + 40
	missile1y = (rand & 50) + 20
	
	missilespriteconfig = $30 ; 8px missile
	missilespritecolor = _BA ; light blue

	playfield:
	.......................XXXXXXXXX
	........................XXXXXXXX
	.........................XXXXXXX
	..........................XXXXXX
	.........................XXXXXXX
	.......................XXXXXXXXX
	.....................XXXXXXXXXXX
	................XXXXXXXXXXXXXXXX
	XXXX.........XXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end

   	pfcolors:   
	_D2
	_D2
	_D2
	_D2
	_D2   	   	
	_D2
	_D2
   	_D2
   	_D2
	_D2
   	_D2
	_D2	
end 
	return otherbank


screen_5_3

	COLUBK = _D2
	
	zombiestatusflag_ispresent = true
	zombiestatusflag_isactive = true
	zombiestatusflag_fastmonster = true
	zombieskilllevel = 30
	zombieheath = 3
	zombiedirection = dir_up

	player1x = 80
	player1y = 67

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghostskilllevel = 75
	ghosthealth = 4
	missile1x = (rand & 80) + 40
	missile1y = (rand & 50) + 20


	playfield:
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
	X...........X......X...........X
	X...........X......X...........X
	X....X......X......X.....X.....X
	.....X...................X......
	.....XXXXXXXXXXXXXXXXXXXXX......
	.....X...................X......
	X....X......X......X.....X.....X
	X...........X......X...........X
	X...........X......X...........X
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
end

   	pfcolors:   
	_D0
	_D0
	_D0
	_D0
	_D0   	   	
	_D0
	_D0
   	_D0
   	_D0
	_D0
   	_D0
	_D0	
end 
	return otherbank

screen_5_4

	COLUBK = _D2

	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghoststatusflag_fastmonster = true
	ghostskilllevel = 30
	ghosthealth = 4
	missile1x = (rand & 80) + 40
	missile1y = (rand & 50) + 20


	playfield:
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
	X...........X..................X
	X.....X.....X..................X
	X.....X.....XXXXXXXXX....XXXXXXX
	......X...........X......X......
	......X.....X.....X......X......
	......X.....X............X......
	X.....XXXXXXXXXXXXXXXXXXXX.....X
	X..................X...........X
	X..................X...........X
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
end

   	pfcolors:   
	_D0
	_D0
	_D0
	_D0
	_D0   	   	
	_D0
	_D0
   	_D0
   	_D0
	_D0
   	_D0
	_D0	
end 
	;health sprite
	player1:
	%00011000
	%00011000
	%00011000
	%11111111
	%11111111
	%00011000
	%00011000
	%00011000
end
	if !statusflag2_pickeduphealth then player1x = 100 : player1y = 78 else player1x = -1 : player1y = -1
	return otherbank

screen_5_5

	COLUBK = _D2
	
	ghoststatusflag_ispresent = true
	ghoststatusflag_isactive = true
	ghoststatusflag_fastmonster = true
	ghostskilllevel = 40
	ghosthealth = 3
	missile1x = (rand & 80) + 40
	missile1y = (rand & 50) + 20


	playfield:
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
	X.......X..........X.....X.....X
	X...X.......X.........X........X
	XX..XXXXXXXXXXXXXXXXXXXXXXXXX..X
	....X.........X..........X......
	....X....X.........X.....X......
	....X..XXX....XXXXXXXX...X......
	X..XX....X...........X...XXXX..X
	X...XXX..XXXXXXXXX...X...X.....X
	X........X...........X.........X
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
end

   	pfcolors:   
	_D0
	_D0
	_D0
	_D0
	_D0   	   	
	_D0
	_D0
   	_D0
   	_D0
	_D0
   	_D0
	_D0	
end 
	return otherbank


screen_5_6

	COLUBK = _D4
	missilespritecolor = _38 ; red - graveyard key color
	missilespriteconfig = $00  ; 1px missile 1 p1
	
	playfield:
	XXXXXXXXXXXXX......XXXXXXXXXXXXX
	X...........X......X...........X
	X...........X......X...........X
	X...........X......X...........X
	X..............................X
	X..............................X
	X....XXXXX.....................X
	X....XXXXX.....................X
	X...XXXXXXX....................X
	X..............................X
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
end

   	pfcolors:   
	_D0
	_D0
	_D0
	_D0
	_D0   	   	
	_D0
	_D0
   	_08
   	_08
	_06
   	_D0
	_D0	
end 

	;graveyard key
	player1:
	%00000000
	%00000000
	%00000000
	%00000111
	%10101101
	%11111111
	%00000000
	%00000000
end
	if !statusflag_hasgraveyardkey then player1x = 75 : player1y = 65 else player1x = -1 : player1y = -1
	return otherbank


;***************** ROW 6 SCREENS ***********************

screen_6_0
	COLUBK = _F6

	;player1 is car sprite
	player1x = 30
	player1y = 60
	
	;hood and trunk of car.
	missile1height = 2
	ghoststatusflag_ispresent = false
	ghoststatusflag_isactive = false
	
	missile1x = 62
	missile1y = 59

	missilespriteconfig = $37 ; 8px missile, quard sized player for car sprite
	missilespritecolor = _44 ; red

	playfield:
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXX..XXXXXXXXXXXXXXXXXXXXXXXXXXX
	XX......XXXXXXXXX......XXXXXX...
	X...........XXXX................
	X...............................
	X...............................
	X...............................
	X...............................
	X...............................
	XX..............................
	XXX.............................
	XXX.............................
end

   	pfcolors:   
	_D2
	_D2
	_D2
	_D2
	_D2   	   	
	_D2
	_0C
   	_0C
   	_0C
	_0C
   	_D2
	_D2	
end 

	;car sprite
	player1:
	%11000011
	%11111111
	%11111111
	%11111111
	%11111111
	%01000010
	%01000100
	%00111000
end
	return otherbank	



screen_6_1
	COLUBK = _00

	playfield:
	.XXX.......X........XX..........
	.X.........X.......X..X.........
	.XXX.XXX.XXX...XXX.XX...........
	.X...X.X.X.X...X.X.X............
	.XXX.X.X.XXX...XXX.X............
	................................
	..XXX..XXXX..XXXX..XXX.....XX...
	.X...X.X...X.X....X...X...X.X...
	.XXXXX.XXXX..XXXX.XXXXX.....X...
	.X...X.X..X..X....X...X.....X...
	.X...X.X...X.XXXX.X...X...XXXXX.
	................................
end

   	pfcolors:   
	_44
	_44
	_44
	_44
	_44
	_44
	_44
   	_44
   	_44
	_44
   	_44
	_44	
end 
	return otherbank



;***************** ROW 7 SCREENS ***********************

screen_7_0
	COLUBK = _00

	playfield:
	.XXX.......X........XX..........
	.X.........X.......X..X.........
	.XXX.XXX.XXX...XXX.XX...........
	.X...X.X.X.X...X.X.X............
	.XXX.X.X.XXX...XXX.X............
	................................
	..XXX..XXXX..XXXX..XXX.....XX...
	.X...X.X...X.X....X...X...X.X...
	.XXXXX.XXXX..XXXX.XXXXX.....X...
	.X...X.X..X..X....X...X.....X...
	.X...X.X...X.XXXX.X...X...XXXXX.
	................................
end

   	pfcolors:   
	_44
	_44
	_44
	_44
	_44   	   	
	_44
	_44
   	_44
   	_44
	_44
   	_44
	_44
end 
	return otherbank


screen_9_9
	COLUBK = _00

	playfield:
	..XXXXX.XXX......XX..XXX........
	....X...X.X......X.X.X..........
	....X...X.X......XX..XX.........
	....X...X.X......X.X.X..........
	....X...XXX......XX..XXX........
	................................
	XXX.XXX.XXX.XXX.X.XXX.X.X.XX.XX.
	X...X.X.X.X..X....X.X.X.X.X..X.X
	X...X.X.X.X..X..X.X.X.X.X.XX.X.X
	X...X.X.X.X..X..X.X.X.X.X.X..X.X
	XXX.XXX.X.X..X..X.X.X.XXX.XX.XX.
	................................
end

   	pfcolors:   
	_16
	_26
	_36
	_46
	_56
	_66
	_76
   	_86
   	_96
	_A6
   	_B6
	_C6	
end 
	return otherbank	

	rem ************************* END BANK 3 - Level data *************************
	rem ************************* END BANK 3 - Level data *************************
	rem ************************* END BANK 3 - Level data *************************

	rem ************************* START BANK 4 - Misc Screens *************************
	rem ************************* START BANK 4 - Misc Screens *************************
	rem ************************* START BANK 4 - Misc Screens *************************
	bank 4

show_title_screen	
	rem draw title screen until the joystick is pressed

/* (old title screen)
	playfield:
	...XXXX..X...X.X..XX..X.XXXX....
	......X.X.X.X.X.X.X.X...X.......
	....XX..X.X.X.X.X.XX..X.XXX.....
	...X....X.X.X...X.X.X.X.X.......
	...XXXX..X..X...X.XX..X.XXXX....
	................................
	...XXXX.XXX..X..XXX.X..XXXX.....
	...X....X..X...X......X.........
	...X....XXX..X..XX..X..XXX......
	...X....X..X.X....X.X.....X.....
	...XXXX.X..X.X.XXX..X.XXXX......
	................................
end	
*/

	playfield:	
	.XXX............X...X..XX.......
	...X...X..XXXXX.XX....X.X.......
	..X...X.X.X.X.X.X.X.X.XX........
	..XXX..X..X...X.XX..X..XXX......	
	................................
	...XXX......X..XX..X...XXX......
	..X....XXX....X.......X.........
	.X.....X..X.X..X...X...X........
	..X....X....X...X..X....X.......
	...XXX.X....X.XX...X.XXX........
	................................
	................................
end

   	rem playfield colors are one per line.   
	pfcolors:
   	_22
   	_22
   	_24
   	_26
   	_28   	
   	_20
   	_22
   	_24
   	_26
   	_28
   	_2A
	_2C
end

	; game version number using p0 & p1

	player0:
	%00000000
	%00100100
	%01110000
	%01010000
	%11011000
	%10001000
	%10001000
	%00000000
end

	player1:
	%01010010
	%10100101
	%10100001
	%10100010
	%10100001
	%10100101
	%01000010
	%00000000
end

	player0x = 125
	player0y = 80

	player1x = 135
	player1y = 80 
	
	statusflag2_istitlescreen = true
	pframe = true ; used for when music is done playing, is set to false
	timer = 0

   	rem  *  Initialize duration and set up music
   	duration = 1
	
	drawscreen ; keeps screen roll from happening on reboot (unless reset is being held down)

   	goto MusicSetup

title_screen
	
	if pframe then goto GetMusic
	if !pframe then AUDV0 = 0 : AUDV1 = 0 ; turn music off
GotMusic

	COLUPF = _F0 ; pfcolors doesn't set first line. need COLUPF with color in drawscreen loop.
	COLUBK = _D0		
	drawscreen	

	if timer < 40 then timer = timer + 1
	
	if switchreset then reboot
	if joy0fire && timer = 40 then statusflag2_istitlescreen = false : AUDV0 = 7 : AUDC0 = 8 : AUDF0 15
	if statusflag2_istitlescreen then goto title_screen

	return otherbank 
	


get_away_scene

	COLUBK = _D0
	timer = $00
	pframe = $01
	screenchange = false ; drive away initiated 

	playfield:
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	..........XXXXXXXXXXX...........
	.........XXXXXXXXXXXXX..........
	........XXXXXXXXXXXXXXX.........
	.......XXXXXXXXXXXXXXXXX........
	......XXXXXXXXXXXXXXXXXXX.......
	.....XXXXXXXXXXXXXXXXXXXXX......
	.....XXXXXXXXXXXXXXXXXXXXX......
end

	missile1x = -1
	missile1y = -1

	;player 0 moon sprite
	player0x = 25
	player0y = 15

	player0:
	%00011000
	%00111100
	%01110000
	%01100000
	%01100000
	%01110000
	%00111100
	%00011000
end


	;player1 is car sprite
	player1x = 62
	player1y = 85	

	;car sprite
	player1:
	%11000011
	%11111111
	%11111111
	%11111111
	%11111111
	%01000010
	%01000010
	%00111100
end

	AUDV0 = 7
	AUDC0 = 14
	AUDF0 = 20

get_away_scene_reset

	if pframe = $01 then goto get_away_scene_frame2

	pfcolors:   
	_00
   	_00
   	_00
   	_00
   	_00
	_00
   	_04
	_06
	_04
	_06
	_04  
	_06 
end
	goto get_away_scene_draw

get_away_scene_frame2
	pfcolors:   
	_00
   	_00
   	_00
   	_00
   	_00
	_00
   	_06
	_04
	_06
	_04
	_06  
	_04 
end

get_away_scene_draw

	NUSIZ0 = $05  ; double size moon sprite.
	COLUP0 = _1E  ; yellow

	NUSIZ1 = $07  ; quad sized car sprite	
	COLUP1 = _44  ; red
	
	timer = timer + $01
	if timer > $02 then timer = $00	
	if timer & $01 then pframe = pframe + $01 
	if pframe > $02 then pframe = $00
	
	if joy0fire then screenchange = true

	if screenchange then player1y = player1y - 1 : AUDF0 = 4
	
	drawscreen
	
	; TODO : post cut scene status flag probably isn't needed.
	if player1y = 41 then statusflag2_postcutscene = true : goto post_get_away_scene 

	goto get_away_scene_reset
	
post_get_away_scene

	player1x = -1
	player1y = -1	

	; crash sound effect at the end of cut scene. 
	AUDC0 = 8 
	AUDF0 = 7
	timer = 0
	pframe = 0		

crash_sfx	
	timer = timer + 1
	; need to set moon sprite info on timer pt1 done because drawscreen will reset related variables. drawscrene req to avoid screen roll.
	if timer > 100 then pframe = pframe + 1 : timer = 0 : COLUP0 = _1E : NUSIZ0 = $05 : drawscreen 
	if pframe < 50 then goto crash_sfx		

	player0x = 30 
	player0y = 40 
	playerenterx = 30
	playerentery = 40 
	screennum = 60	
	screenchange = true	
	pframe = 0

	rem set initial screen 
	gosub set_screen bank5
	
	goto cutscene_return bank1



   rem  *****************************************************
   rem  *  Music Starter using sdata
   rem  *  Based on code posted in the Ballblazer thread at AtariAge:
   rem  *  http://www.atariage.com/forums/index.php?s=&showtopic=130990&view=findpost&p=1615280
   rem  *  Code adapted by Duane Alan Hahn (Random Terrain)
   rem  *  Code further modified by Kirk Israel
   rem  *  Explanation:
   rem  *  The 256-byte limitation is removed when using sdata.
   rem  *  You can fill a whole 4k bank with music if you want.
   rem  *****************************************************
   rem  * Site used to compose: https://alienbill.com/2600/atari-sound-forger/ 
   rem  *****************************************************
   rem  *  Music
   rem  *****************************************************
GetMusic

	if duration < 0 then goto GotMusic

	rem  *  Check for end of current note
	duration = duration - 1
   	if duration>0 then GotMusic

   	rem  *  Retrieve channel 0 data
   	temp4 = sread(musicData)
   	temp5 = sread(musicData)
   	temp6 = sread(musicData)

	rem  *  Check for end of data
   	if temp4=255 then duration = -1 : pframe = false : goto MusicSetup

   	rem  *  Play channel 0
   	AUDV0 = temp4
   	AUDC0 = temp5
   	AUDF0 = temp6

   	rem  *  Set duration
   	duration = sread(musicData)
   	goto GotMusic

   	rem  *****************************************************
   	rem  *  Music Data Block
   	rem  *****************************************************
   	rem  *  Format:
   	rem  *  v,c,f (channel 0)
   	rem  *  d
   	rem  *
   	rem  *  Explanation:
   	rem  *  v - volume (0 to 15)
   	rem  *  c - control [a.k.a. tone, voice, and distortion] (0 to 15)
   	rem  *  f - frequency (0 to 31)
   	rem  *  d - duration

MusicSetup
	sdata musicData = x
    8, 12, 23, 16,
   	0, 0, 0, 27,
   	8, 12, 23, 11,
   	8, 12, 19, 15,
   	0, 0, 0, 18,
   	8, 12, 20, 15,
   	0, 0, 0, 14,
   	8, 12, 23, 18,
   	0, 0, 0, 28,
   	8, 12, 23, 16,
   	0, 0, 0, 1,
   	8, 12, 19, 12,
   	0, 0, 0, 17,
   	8, 12, 17, 14,
   	0, 0, 0, 17,
   	8, 12, 23, 16,
   	0, 0, 0, 27,
   	8, 12, 23, 15,
   	0, 0, 0, 1,
   	8, 12, 19, 11,
   	0, 0, 0, 20,
   	8, 12, 20, 10,
   	0, 0, 0, 19,
   	8, 12, 19, 20,
   	0, 0, 0, 7,
   	8, 12, 17, 15,
   	0, 0, 0, 2,
   	8, 12, 15, 10,
   	0, 0, 0, 4,
   	8, 12, 14, 13,
   	0, 0, 0, 4,
   	8, 12, 15, 12,
   	0, 0, 0, 4,
   	8, 12, 17, 12,
   	0, 0, 0, 5,
   	8, 12, 19, 14,
   	0, 0, 0, 2,
   	8, 12, 23, 22,
   	0, 0, 0, 9,
   	8, 12, 24, 12,
   	0, 0, 0, 17,
   	8, 12, 23, 22,
    255
end
	goto GotMusic



	rem ********************* BANK 5 START **************************************
	bank 5



set_screen
	
	drawscreen ; draw screen before all this logic as there's not enough cycles to do it all before reaching
			   ; mainloop drawscreen.

	;set player0 entrance x and y.
	playerenterx = player0x
	playerentery = player0y 
	statusflag_isweaponfired = false ; cancel weapon firing on screen change	
	ballx = -1
	bally = -1

	rem assume player1 and missile1 are off screen unless stated in specified screen
	player1x = -1
	player1y = -1
	missile1x = -1
	missile1y = -1
	missile1height = 6

	missilespriteconfig = $20 ; 4px missile, single player1 sprite.
	missilespritecolor = _CA ; light green in color

	enemytype = enemytype_normal

	zombiestatusflag_ispresent = false
	zombiestatusflag_isactive = false
	zombiestatusflag_isvertical = false
	zombiestatusflag_ishorizontal = false
	zombiestatusflag_fastmonster = false
	zombiestatusflag_isboss = false
	zombiestatusflag_ishit = false
	zombieskilllevel = 0
	zombieheath = 0

	ghoststatusflag_ispresent = false
	ghoststatusflag_isactive = false
	ghoststatusflag_fastmonster = false
	ghoststatusflag_isprojectile = false	
	ghosthealth = 0
	ghostskilllevel = 0	

	rem set screen is a look up that calls the correct screen label based on screen number.

	if screennum >= 10 then goto check_screen_range_10 thisbank

	if screennum = 00 then goto screen_0_0 bank2 : return otherbank
	if screennum = 01 then goto screen_0_1 bank2 : return otherbank
	if screennum = 02 then goto screen_0_2 bank2 : return otherbank 
	if screennum = 03 then goto screen_0_3 bank2 : return otherbank 
	if screennum = 04 then goto screen_0_4 bank3 : return otherbank
	if screennum = 05 then goto screen_0_5 bank3 : return otherbank

check_screen_range_10
	if screennum >= 20 then goto check_screen_range_20 thisbank

	if screennum = 10 then goto screen_1_0 bank2 : return otherbank 
	if screennum = 11 then goto screen_1_1 bank2 : return otherbank 
	if screennum = 12 then goto screen_1_2 bank2 : return otherbank 
	if screennum = 13 then goto screen_1_3 bank2 : return otherbank 
	if screennum = 14 then goto screen_1_4 bank2 : return otherbank 
	if screennum = 15 then goto screen_1_5 bank3 : return otherbank

check_screen_range_20
	if screennum >= 30 then goto check_screen_range_30 thisbank 

	if screennum = 20 then goto screen_2_0 bank2 : return otherbank
	if screennum = 21 then goto screen_2_1 bank2 : return otherbank
	if screennum = 22 then goto screen_2_2 bank2 : return otherbank
	if screennum = 23 then goto screen_2_3 bank3 : return otherbank
	if screennum = 24 then goto screen_2_4 bank3 : return otherbank
	if screennum = 25 then goto screen_2_5 bank3 : return otherbank
	
check_screen_range_30
	if screennum >= 40 then goto check_screen_range_40 thisbank

	if screennum = 30 then goto screen_3_0 bank2 : return otherbank
	if screennum = 31 then goto screen_3_1 bank2 : return otherbank
	if screennum = 32 && statusflag2_hasgascan then goto screen_3_2_gascan bank2 : return otherbank
	if screennum = 32 && !statusflag2_hasgascan then goto screen_3_2_no_gascan bank2 : return otherbank
	if screennum = 33 && statusflag2_hasgascan then goto screen_3_3_no_boss bank3 : return otherbank
	if screennum = 33 && !statusflag2_hasgascan then goto screen_3_3_boss bank3 : return otherbank
	if screennum = 34 then goto screen_3_4 bank3 : return otherbank
	if screennum = 35 then goto screen_3_5 bank3 : return otherbank

check_screen_range_40
	if screennum >= 50 then goto check_screen_range_50 thisbank

	if screennum = 40 then goto screen_4_0 bank2 : return otherbank
	if screennum = 41 then goto screen_4_1 bank2 : return otherbank
	if screennum = 42 then goto screen_4_2 bank2 : return otherbank
	if screennum = 43 then goto screen_4_3 bank2 : return otherbank
	if screennum = 44 then goto screen_4_4 bank2 : return otherbank
	if screennum = 45 then goto screen_4_5 bank3 : return otherbank

check_screen_range_50
	if screennum >= 60 then goto check_screen_range_60 thisbank

	if screennum = 50 then goto screen_5_0 bank2 : return otherbank
	if screennum = 51 then goto screen_5_1 bank2 : return otherbank
	if screennum = 52 then goto screen_5_2 bank3 : return otherbank
	if screennum = 53 then goto screen_5_3 bank3 : return otherbank
	if screennum = 54 then goto screen_5_4 bank3 : return otherbank
	if screennum = 55 then goto screen_5_5 bank3 : return otherbank
	if screennum = 56 then goto screen_5_6 bank3 : return otherbank

check_screen_range_60
	if screennum >= 70 then goto check_screen_range_70 thisbank

	if screennum = 60 then goto screen_6_0 bank3 : return otherbank
	if screennum = 61 then goto screen_6_1 bank3 : return otherbank

check_screen_range_70

	if screennum = 70 then goto screen_7_0 bank3 : return otherbank

	;default not exists error screen
	goto screen_9_9 bank3


	; TODO : There is soemthing weird going on here...............

handle_forest_screens
	if player0y <= 90 && player0y >= 10 && player0x <= 135 && player0x >= 15 then return 	

	screenchange = true 	
	temp5 = 255 ; temp direction leaving screen
	if player0y > 90 then player0y = 10 : temp5 = dir_down 
	if player0y < 10 then player0y = 90 : temp5 = dir_up
	if player0x > 135 then player0x = 15 : temp5 = dir_right 
	if player0x < 15 then player0x =  135 : temp5 = dir_left 
	

	if !screennum <> 43 then goto skip_43
	if temp5 = dir_up then screennum = 42 
	if temp5 = dir_down then screennum = 45 
	if temp5 = dir_left then screennum = 54 
	if temp5 = dir_right then screennum = 45
	return 
skip_43	

	if !screennum <> 44 then goto skip_44
	if temp5 = dir_up then screennum = 43 
	if temp5 = dir_down then screennum = 53
	if temp5 = dir_left then screennum = 45 
	if temp5 = dir_right then screennum = 55
	return 
skip_44	

	if !screennum <> 45 then goto skip_45
	if temp5 = dir_up then screennum = 43 
	if temp5 = dir_down then screennum = 54
	if temp5 = dir_left then screennum = 43
	if temp5 = dir_right then screennum = 44
	return 
skip_45


	if !screennum <> 53 then goto skip_53
	if temp5 = dir_up then screennum = 44 
	if temp5 = dir_down then screennum = 55
	if temp5 = dir_left then screennum = 54
	if temp5 = dir_right then screennum = 54
	return 
skip_53

	if !screennum <> 54 then goto skip_54
	if temp5 = dir_up then screennum = 45
	if temp5 = dir_down then screennum = 44 
	if temp5 = dir_left then screennum = 53 
	if temp5 = dir_right then screennum = 43
	return 
skip_54


	if !screennum <> 55 then goto skip_55
	if temp5 = dir_up then screennum = 53
	if temp5 = dir_down then screennum = 56 
	if temp5 = dir_left then screennum = 44 
	if temp5 = dir_right then screennum = 53
	return 
skip_55

	if !screennum <> 56 then goto skip_56
	if temp5 = dir_up then screennum = 55
	return 
skip_56 
	
	return otherbank



	rem used to see what happens when player collides with player1 sprite based on screen number.
check_player_collision	

	;keep player from entering house
	if screennum = 00 && !statusflag_hashousekey then player0x = player0x + 5 : AUDV0 = 7 : AUDF0 = 25 : AUDC0 = 4 : return otherbank
	
	;open door if they have the key
	if screennum = 00 && statusflag_hashousekey && !statusflag_ishousekeyused then statusflag_ishousekeyused = true : player1x = -1 : player1y = -1 : AUDV0 = 7 : AUDF0 = 10 : AUDC0 = 4 : return otherbank

	;keep player from entering graveyard
	if screennum = 03 && !statusflag_hasgraveyardkey then player0y = player0y - 5 : AUDV0 = 7 : AUDF0 = 25 : AUDC0 = 4 : return otherbank

	;open graveyard if they have the key 
	if screennum = 03 && statusflag_hasgraveyardkey && !statusflag_isgraveyardkeyused then statusflag_isgraveyardkeyused = true : player1x = -1 : player1y = -1 : missile1x = - 1 : missile1y = - 1 : AUDV0 = 7 : AUDF0 = 10 : AUDC0 = 4 : return otherbank

	;pick up weapon
	if screennum = 10 then statusflag_hasweapon = true : player1x = -1 : player1y = -1 : score = score + 1000 : AUDV0 = 7 : AUDF0 = 5 : AUDC0 = 4 : return otherbank
	
	;pickup house key up
	if screennum = 20 then statusflag_hashousekey = true : player1x = -1 : player1y = -1 : score = score + 500 : AUDV0 = 7 : AUDF0 = 10 : AUDC0 = 4 : return otherbank

	;pickup gascan when graveyard boss is dead
	if screennum = 33 && !zombiestatusflag_isactive then if !statusflag2_hasgascan then statusflag2_hasgascan = true : player1x = -1 : player1y = -1 : score = score + 500 : AUDV0 = 7 : AUDF0 = 10 : AUDC0 = 4 : gosub set_screen thisbank : return otherbank
	
	;bounce back from touching forest blocking zombie
	if screennum = 42 && zombiestatusflag_isactive then player0y = player0y - 5 : playerhealth = playerhealth - $10 : AUDV0 = 7 : AUDF0 = 20 : AUDC0 = 2 : return otherbank

	;use gascan and cut to cutscene
	if screennum = 50 && statusflag2_hasgascan then goto get_away_scene bank4

	;pickup health 
	if screennum = 54 || screennum = 23 then statusflag2_pickeduphealth = true : player1x = -1 : player1y = -1 : playerhealth = 255 : AUDV0 = 7 : AUDF0 = 10 : AUDC0 = 4 : return otherbank

	;pickup graveyard key up
	if screennum = 56 then statusflag_hasgraveyardkey = true : player1x = -1 : player1y = -1 : score = score + 1500 : AUDV0 = 7 : AUDF0 = 10 : AUDC0 = 4 : return otherbank
	

	;if zombiestatusflag_isactive && zombiestatusflag_ispresent then statusbarlength = statusbarlength - $0A	
	temp5 = $0A ; default zombie damage
	if statusflag_hasarmor then temp5 = $05 ; half damage
	if switchrightb then temp5 = $06
	if switchrightb && statusflag_hasarmor then temp5 = $03
	if zombiestatusflag_isactive && zombiestatusflag_ispresent then playerhealth = playerhealth - temp5 : AUDV0 = 7 : AUDC0 = 2 : AUDF0 = 20	: return otherbank

	return otherbank


set_boss_prize

	if screennum <> 33 then goto skip_boss_33 	
	player1x = 22
	player1y = 18

	missilespriteconfig = $00 ; 1px missile, 1 p1
	missilespritecolor = _42 ; red (gas can)

	player1:
	%01111110
	%01111110
	%01111110
	%01111110
	%00111100
	%00000100
	%00000101
	%00000010
end


skip_boss_33 

	return otherbank 

	bank 6
	bank 7
	bank 8

